package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

public class B15c {

    public B15c() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "费用日期")
    private String expenseDay;
    @JSONField(name = "报销人归属单元号")
    private String claimPaymentPersonOwnerUnit;
    @JSONField(name = "项目归属单元")
    private String projectOwnerUnit;
    @JSONField(name = "报销人")
    private String claimPaymentPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "行程起城市")
    private String routeStartCity;
    @JSONField(name = "行程止城市")
    private String routeEndCity;
    @JSONField(name = "交通补助")
    private BigDecimal transportAllowance;
    @JSONField(name = "伙食补助")
    private BigDecimal foodAllowance;
    @JSONField(name = "住宿补助")
    private BigDecimal stayAllowance;
    @JSONField(name = "高原补助")
    private BigDecimal highlandAllowance;
    @JSONField(name = "线下其他")
    private BigDecimal offLineOthers;
    @JSONField(name = "线下车船")
    private BigDecimal offLineBy;
    @JSONField(name = "线下宾馆")
    private BigDecimal offLineHotel;
    @JSONField(name = "线下差旅小计")
    private BigDecimal offLineTotal;
    @JSONField(name = "房租费")
    private BigDecimal rentFee;
    @JSONField(name = "非查勘用车费")
    private BigDecimal unSurveyByCarFee;
    @JSONField(name = "办公费")
    private BigDecimal officeFee;
    @JSONField(name = "招待费")
    private BigDecimal serveFee;
    @JSONField(name = "入职体检")
    private BigDecimal entryExamination;
    @JSONField(name = "水电物管费")
    private BigDecimal waterAndEleFee;
    @JSONField(name = "外包成本")
    private BigDecimal outsourceCost;
    @JSONField(name = "住县补贴")
    private BigDecimal liveCountyAllowance;

    @JSONField(name = "商品采购")
    private BigDecimal buySomething;
    @JSONField(name = "合计")
    private BigDecimal total;
    @JSONField(name = "说明")
    private String explainInfo;
    @JSONField(name = "负责人")
    private String principal;
    @JSONField(name = "B15上传时间")
    private String b15UploadTime;
    @JSONField(name = "部门")
    private String department;
    @JSONField(name = "当天是否上传出差视频")
    private String uploadIsSuccessToday;
    @JSONField(name = "当天上传出差视频是否合格")
    private String uploadIsQualifiedToday;
    @JSONField(name = "视频不合格原因")
    private String failedReason;
    @JSONField(name = "出差视频显示的城市")
    private String videoShowCity;
    @JSONField(name = "交通补助超标")
    private String transportAllowanceIsQualified;
    @JSONField(name = "伙食补助超标")
    private String foodAllowanceIsQualified;
    @JSONField(name = "住宿补助超标")
    private String stayAllowanceIsQualified;
    @JSONField(name = "高原补助超标")
    private String highLandAllowanceIsQualified;
    @JSONField(name = "线下宾馆超标")
    private String offLineHotelQualified;
    @JSONField(name = "审核说明")
    private String status;
    @JSONField(name = "个人承担金额")
    private String personLiability;
    @JSONField(name = "个人被罚金额")
    private String personBeFinedMoney;
    @JSONField(name = "线下补助扣减金额")
    private String offLineAllowanceCutPayment;
    @JSONField(name = "申诉内容")
    private String appealContent;
    @JSONField(name = "申诉回复")
    private String appealReply;
    @JSONField(name = "审定批次日期")
    private String verifyTime;
    @JSONField(name = "审核人")
    private String verifier;
    @JSONField(name = "线上飞机")
    private String onLineAirplane;
    @JSONField(name = "线上火车")
    private String onLineTrain;
    @JSONField(name = "线上宾馆")
    private String onLineHotel;
    @JSONField(name = "线上飞机退")
    private String onLineAirplaneRefund;
    @JSONField(name = "线上火车退")
    private String onLineTrainRefund;
    @JSONField(name = "线上宾馆退")
    private String onLineHotelRefund;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "B15C上传时间")
    private String b15cUploadTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getExpenseDay() {
        return expenseDay;
    }

    public void setExpenseDay(String expenseDay) {
        this.expenseDay = expenseDay;
    }

    public String getClaimPaymentPersonOwnerUnit() {
        return claimPaymentPersonOwnerUnit;
    }

    public void setClaimPaymentPersonOwnerUnit(String claimPaymentPersonOwnerUnit) {
        this.claimPaymentPersonOwnerUnit = claimPaymentPersonOwnerUnit;
    }

    public String getProjectOwnerUnit() {
        return projectOwnerUnit;
    }

    public void setProjectOwnerUnit(String projectOwnerUnit) {
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public String getClaimPaymentPerson() {
        return claimPaymentPerson;
    }

    public void setClaimPaymentPerson(String claimPaymentPerson) {
        this.claimPaymentPerson = claimPaymentPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getRouteStartCity() {
        return routeStartCity;
    }

    public void setRouteStartCity(String routeStartCity) {
        this.routeStartCity = routeStartCity;
    }

    public String getRouteEndCity() {
        return routeEndCity;
    }

    public void setRouteEndCity(String routeEndCity) {
        this.routeEndCity = routeEndCity;
    }

    public BigDecimal getTransportAllowance() {
        return transportAllowance;
    }

    public void setTransportAllowance(BigDecimal transportAllowance) {
        this.transportAllowance = transportAllowance;
    }

    public BigDecimal getFoodAllowance() {
        return foodAllowance;
    }

    public void setFoodAllowance(BigDecimal foodAllowance) {
        this.foodAllowance = foodAllowance;
    }

    public BigDecimal getStayAllowance() {
        return stayAllowance;
    }

    public void setStayAllowance(BigDecimal stayAllowance) {
        this.stayAllowance = stayAllowance;
    }

    public BigDecimal getHighlandAllowance() {
        return highlandAllowance;
    }

    public void setHighlandAllowance(BigDecimal highlandAllowance) {
        this.highlandAllowance = highlandAllowance;
    }

    public BigDecimal getOffLineOthers() {
        return offLineOthers;
    }

    public void setOffLineOthers(BigDecimal offLineOthers) {
        this.offLineOthers = offLineOthers;
    }

    public BigDecimal getOffLineBy() {
        return offLineBy;
    }

    public void setOffLineBy(BigDecimal offLineBy) {
        this.offLineBy = offLineBy;
    }

    public BigDecimal getOffLineHotel() {
        return offLineHotel;
    }

    public void setOffLineHotel(BigDecimal offLineHotel) {
        this.offLineHotel = offLineHotel;
    }

    public BigDecimal getOffLineTotal() {
        return offLineTotal;
    }

    public void setOffLineTotal(BigDecimal offLineTotal) {
        this.offLineTotal = offLineTotal;
    }

    public BigDecimal getRentFee() {
        return rentFee;
    }

    public void setRentFee(BigDecimal rentFee) {
        this.rentFee = rentFee;
    }

    public BigDecimal getUnSurveyByCarFee() {
        return unSurveyByCarFee;
    }

    public void setUnSurveyByCarFee(BigDecimal unSurveyByCarFee) {
        this.unSurveyByCarFee = unSurveyByCarFee;
    }

    public BigDecimal getOfficeFee() {
        return officeFee;
    }

    public void setOfficeFee(BigDecimal officeFee) {
        this.officeFee = officeFee;
    }

    public BigDecimal getServeFee() {
        return serveFee;
    }

    public void setServeFee(BigDecimal serveFee) {
        this.serveFee = serveFee;
    }

    public BigDecimal getEntryExamination() {
        return entryExamination;
    }

    public void setEntryExamination(BigDecimal entryExamination) {
        this.entryExamination = entryExamination;
    }

    public BigDecimal getWaterAndEleFee() {
        return waterAndEleFee;
    }

    public void setWaterAndEleFee(BigDecimal waterAndEleFee) {
        this.waterAndEleFee = waterAndEleFee;
    }

    public BigDecimal getOutsourceCost() {
        return outsourceCost;
    }

    public void setOutsourceCost(BigDecimal outsourceCost) {
        this.outsourceCost = outsourceCost;
    }

    public BigDecimal getLiveCountyAllowance() {
        return liveCountyAllowance;
    }

    public void setLiveCountyAllowance(BigDecimal liveCountyAllowance) {
        this.liveCountyAllowance = liveCountyAllowance;
    }

    public BigDecimal getBuySomething() {
        return buySomething;
    }

    public void setBuySomething(BigDecimal buySomething) {
        this.buySomething = buySomething;
    }

    public BigDecimal getTotal() {
        return total;
    }

    public void setTotal(BigDecimal total) {
        this.total = total;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getPrincipal() {
        return principal;
    }

    public void setPrincipal(String principal) {
        this.principal = principal;
    }

    public String getB15UploadTime() {
        return b15UploadTime;
    }

    public void setB15UploadTime(String b15UploadTime) {
        this.b15UploadTime = b15UploadTime;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getUploadIsSuccessToday() {
        return uploadIsSuccessToday;
    }

    public void setUploadIsSuccessToday(String uploadIsSuccessToday) {
        this.uploadIsSuccessToday = uploadIsSuccessToday;
    }

    public String getUploadIsQualifiedToday() {
        return uploadIsQualifiedToday;
    }

    public void setUploadIsQualifiedToday(String uploadIsQualifiedToday) {
        this.uploadIsQualifiedToday = uploadIsQualifiedToday;
    }

    public String getFailedReason() {
        return failedReason;
    }

    public void setFailedReason(String failedReason) {
        this.failedReason = failedReason;
    }

    public String getVideoShowCity() {
        return videoShowCity;
    }

    public void setVideoShowCity(String videoShowCity) {
        this.videoShowCity = videoShowCity;
    }

    public String getTransportAllowanceIsQualified() {
        return transportAllowanceIsQualified;
    }

    public void setTransportAllowanceIsQualified(String transportAllowanceIsQualified) {
        this.transportAllowanceIsQualified = transportAllowanceIsQualified;
    }

    public String getFoodAllowanceIsQualified() {
        return foodAllowanceIsQualified;
    }

    public void setFoodAllowanceIsQualified(String foodAllowanceIsQualified) {
        this.foodAllowanceIsQualified = foodAllowanceIsQualified;
    }

    public String getStayAllowanceIsQualified() {
        return stayAllowanceIsQualified;
    }

    public void setStayAllowanceIsQualified(String stayAllowanceIsQualified) {
        this.stayAllowanceIsQualified = stayAllowanceIsQualified;
    }

    public String getHighLandAllowanceIsQualified() {
        return highLandAllowanceIsQualified;
    }

    public void setHighLandAllowanceIsQualified(String highLandAllowanceIsQualified) {
        this.highLandAllowanceIsQualified = highLandAllowanceIsQualified;
    }

    public String getOffLineHotelQualified() {
        return offLineHotelQualified;
    }

    public void setOffLineHotelQualified(String offLineHotelQualified) {
        this.offLineHotelQualified = offLineHotelQualified;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPersonLiability() {
        return personLiability;
    }

    public void setPersonLiability(String personLiability) {
        this.personLiability = personLiability;
    }

    public String getPersonBeFinedMoney() {
        return personBeFinedMoney;
    }

    public void setPersonBeFinedMoney(String personBeFinedMoney) {
        this.personBeFinedMoney = personBeFinedMoney;
    }

    public String getOffLineAllowanceCutPayment() {
        return offLineAllowanceCutPayment;
    }

    public void setOffLineAllowanceCutPayment(String offLineAllowanceCutPayment) {
        this.offLineAllowanceCutPayment = offLineAllowanceCutPayment;
    }

    public String getAppealContent() {
        return appealContent;
    }

    public void setAppealContent(String appealContent) {
        this.appealContent = appealContent;
    }

    public String getAppealReply() {
        return appealReply;
    }

    public void setAppealReply(String appealReply) {
        this.appealReply = appealReply;
    }

    public String getVerifyTime() {
        return verifyTime;
    }

    public void setVerifyTime(String verifyTime) {
        this.verifyTime = verifyTime;
    }

    public String getVerifier() {
        return verifier;
    }

    public void setVerifier(String verifier) {
        this.verifier = verifier;
    }

    public String getOnLineAirplane() {
        return onLineAirplane;
    }

    public void setOnLineAirplane(String onLineAirplane) {
        this.onLineAirplane = onLineAirplane;
    }

    public String getOnLineTrain() {
        return onLineTrain;
    }

    public void setOnLineTrain(String onLineTrain) {
        this.onLineTrain = onLineTrain;
    }

    public String getOnLineHotel() {
        return onLineHotel;
    }

    public void setOnLineHotel(String onLineHotel) {
        this.onLineHotel = onLineHotel;
    }

    public String getOnLineAirplaneRefund() {
        return onLineAirplaneRefund;
    }

    public void setOnLineAirplaneRefund(String onLineAirplaneRefund) {
        this.onLineAirplaneRefund = onLineAirplaneRefund;
    }

    public String getOnLineTrainRefund() {
        return onLineTrainRefund;
    }

    public void setOnLineTrainRefund(String onLineTrainRefund) {
        this.onLineTrainRefund = onLineTrainRefund;
    }

    public String getOnLineHotelRefund() {
        return onLineHotelRefund;
    }

    public void setOnLineHotelRefund(String onLineHotelRefund) {
        this.onLineHotelRefund = onLineHotelRefund;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getB15cUploadTime() {
        return b15cUploadTime;
    }

    public void setB15cUploadTime(String b15cUploadTime) {
        this.b15cUploadTime = b15cUploadTime;
    }

    @Override
    public String toString() {
        return "B15c{" +
                "id=" + id +
                ", expenseDay='" + expenseDay + '\'' +
                ", claimPaymentPersonOwnerUnit='" + claimPaymentPersonOwnerUnit + '\'' +
                ", projectOwnerUnit='" + projectOwnerUnit + '\'' +
                ", claimPaymentPerson='" + claimPaymentPerson + '\'' +
                ", routeStartCity='" + routeStartCity + '\'' +
                ", routeEndCity='" + routeEndCity + '\'' +
                ", transportAllowance=" + transportAllowance +
                ", foodAllowance=" + foodAllowance +
                ", stayAllowance=" + stayAllowance +
                ", highlandAllowance=" + highlandAllowance +
                ", offLineOthers=" + offLineOthers +
                ", offLineBy=" + offLineBy +
                ", offLineHotel=" + offLineHotel +
                ", offLineTotal=" + offLineTotal +
                ", rentFee=" + rentFee +
                ", unSurveyByCarFee=" + unSurveyByCarFee +
                ", officeFee=" + officeFee +
                ", serveFee=" + serveFee +
                ", entryExamination=" + entryExamination +
                ", waterAndEleFee=" + waterAndEleFee +
                ", outsourceCost=" + outsourceCost +
                ", liveCountyAllowance=" + liveCountyAllowance +
                ", bubSomething=" + buySomething +
                ", total=" + total +
                ", explainInfo='" + explainInfo + '\'' +
                ", principal='" + principal + '\'' +
                ", b15UploadTime='" + b15UploadTime + '\'' +
                ", department='" + department + '\'' +
                ", uploadIsSuccessToday='" + uploadIsSuccessToday + '\'' +
                ", uploadIsQualifiedToday='" + uploadIsQualifiedToday + '\'' +
                ", failedReason='" + failedReason + '\'' +
                ", videoShowCity='" + videoShowCity + '\'' +
                ", transportAllowanceIsQualified='" + transportAllowanceIsQualified + '\'' +
                ", foodAllowanceIsQualified='" + foodAllowanceIsQualified + '\'' +
                ", stayAllowanceIsQualified='" + stayAllowanceIsQualified + '\'' +
                ", highLandAllowanceIsQualified='" + highLandAllowanceIsQualified + '\'' +
                ", offLineHotelQualified='" + offLineHotelQualified + '\'' +
                ", status='" + status + '\'' +
                ", personLiability='" + personLiability + '\'' +
                ", personBeFinedMoney='" + personBeFinedMoney + '\'' +
                ", offLineAllowanceCutPayment='" + offLineAllowanceCutPayment + '\'' +
                ", appealContent='" + appealContent + '\'' +
                ", appealReply='" + appealReply + '\'' +
                ", verifyTime='" + verifyTime + '\'' +
                ", verifier='" + verifier + '\'' +
                ", onLineAirplane='" + onLineAirplane + '\'' +
                ", onLineTrain='" + onLineTrain + '\'' +
                ", onLineHotel='" + onLineHotel + '\'' +
                ", onLineAirplaneRefund='" + onLineAirplaneRefund + '\'' +
                ", onLineTrainRefund='" + onLineTrainRefund + '\'' +
                ", onLineHotelRefund='" + onLineHotelRefund + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", b15cUploadTime='" + b15cUploadTime + '\'' +
                '}';
    }
}
